Name:           enlightenment
Version:        0.16.999.55225
Release:        3%{?dist}
Summary:        Highly optimized and extensible desktop shell

Group:          User Interface/Desktops
License:        MIT
URL:            http://enlightenment.org/p.php?p=about/e17&l=en
Source0:        http://download.enlightenment.org/snapshots/LATEST/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

##Fix DSO patches
#Patch10:       enlightenment-fc14-fix-DSO.patch
#Patch20:	enlightenment-fc14-fix-DSO2.patch
#Patch30:	enlightenment-fc14-fix-DSO3.patch

BuildRequires:  libX11-devel libXext-devel pkgconfig gettext
BuildRequires:  eet-devel embryo-devel evas-devel ecore-devel edje-devel
BuildRequires:  efreet-devel e_dbus-devel pam-devel libeina-devel

Obsoletes: emotion =< 0.1.0.042-6
Obsoletes: epsilon =< 0.3.0.012-10
Obsoletes: epsilon-xine =< 0.3.0.012-10
Obsoletes: ewl =< 0.5.2.042-13

%description
Enlightenment 0.17 is desktop shell based on Enlightenment Foundation
Libraries. It's highly optimized and provides extensive theming capabilities.
A Desktop shell means it's a window manager plus a file manager, plus 
configuration utilitys all in one. It works reasonably fast even on old and low
range computers, providing eye-candy environment.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       eet-devel evas-devel ecore-devel edje-devel e_dbus-devel
Requires:       pkgconfig efreet-devel

Obsoletes: emotion-devel =< 0.1.0.042-6
Obsoletes: epsilon-devel =< 0.3.0.012-10
Obsoletes: ewl-devel =< 0.5.2.042-13

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
#%patch10 -p0
#%patch20 -p0
#%patch30 -p0

# backport enlightenment.pc.in fix from trunk
sed -i -e 's|Libs:\ .*$|Libs: -L${libdir}|' enlightenment.pc.in
# Avoid lib64 rpaths
%if "%{_libdir}" != "/usr/lib"
sed -i -e 's|"/lib /usr/lib|"/%{_lib} %{_libdir}|' configure
%endif

%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'
# config.h is used only while building E itself
sed -i -e '\|#include\ "config.h"|d' %{buildroot}%{_includedir}/%{name}/e.h
find %{buildroot} -name '*.la' -delete
# remove improperly placed docs
rm -rf %{buildroot}%{_datadir}/%{name}/doc
rm -rf %{buildroot}%{_datadir}/%{name}/AUTHORS
rm -rf %{buildroot}%{_datadir}/%{name}/COPYING
# remove enlightenment_sys which is broken anyway
rm -rf %{buildroot}%{_bindir}/%{name}_sys
rm -rf %{buildroot}%{_sysconfdir}/%{name}/sysactions.conf
# remove unused enlightenment_remote
rm -rf %{buildroot}%{_bindir}/enlightenmen_remote
%find_lang %{name}

%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_bindir}/%{name}_*
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/xsessions/%{name}.desktop


%files devel
%defattr(-,root,root,-)
# originally improperly placed docs
%doc doc/*.txt doc/*.html doc/*.png
%{_includedir}/%{name}
%{_libdir}/pkgconfig/*.pc


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.999.55225-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 31 2011 Thomas Janssen <thomasj@fedoraproject.org> 0.16.999.55225-2
- rebuild for EFL 1.0.0 release

* Thu Dec 16 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.16.999.55225-1
- update to 0.16.999.55225 snapshot release

* Mon Nov 15 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.16.999.54504-1
- update to 0.16.999.54504 snapshot release

* Fri Jul 02 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.16.999.49898-1
- enlightenment 0.16.999.49898 snapshot release

* Tue Jun 15 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.16.999.49539-1
- enlightenment 0.16.999.49539 snapshot release

* Thu Apr 08 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.16.999.063-2
- Added obsoletes

* Tue Feb 16 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.16.999.063-1
- New upstream source 0.16.999.063

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 0.16.999.050-5
- rebuilt with new openssl

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.999.050-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.999.050-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 16 2009 Tomas Mraz <tmraz@redhat.com> - 0.16.999.050-2
- rebuild with new openssl

* Sun Nov 30 2008 Pavel "Stalwart" Shevchuk - 0.16.999.050-1
- New upstream snapshot

* Sun Nov 23 2008 Pavel "Stalwart" Shevchuk - 0.16.999.043-4
- Changed summary to be more descriptive

* Sat Aug 30 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.16.999.043-3
- One more directory ownership fix
- Backported enlightenment.pc.in from trunk
- Strip unneeded config.h include from e.h

* Sat Jul 26 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.16.999.043-2
- Added missing efreet-devel require to enlightenment-devel
- Removed broken enlightenment_sys
- Removed more improperly placed docs
- Fixed directory ownership

* Mon May 20 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.16.999.043-1
- Initial specfile for Enlightenment
